Package org.eclipse.graphiti.ui.internal.util.draw2d

# Class LineSeg.Sign

java.lang.Object
org.eclipse.graphiti.ui.internal.util.draw2d.LineSeg.Sign

Enclosing class:
  LineSeg

public static class LineSeg.Sign extends Object
Enumeration class for defining the orientations of a point relative to the line segment. The orientations can be one of `POSITIVE` or `NEGATIVE`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LineSeg.Sign`
`NEGATIVE`
Constant designating an orientation that is negative relative to the lineseg vector.
`static final LineSeg.Sign`
`POSITIVE`
Constant designating an orientation that is position relative to the lineseg vector.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### POSITIVE

public static final LineSeg.Sign POSITIVE
Constant designating an orientation that is position relative to the lineseg vector.

### NEGATIVE

public static final LineSeg.Sign NEGATIVE
Constant designating an orientation that is negative relative to the lineseg vector.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`